| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.XPRControl Class Reference
Inheritance diagram for optoICC.registers.icc_registers.XPRControl:

## Public Member Functions
| __init__ (self, board=None)
| GetFrameRate (self)
| SetFrameRate (self, value)
| GetWaveformShape (self)
| SetWaveformShape (self, value)
| GetStatus (self)
| SetLoad (self, value)
| SetActiveChannel (self, value)
| GetActiveChannel (self)
| GetActiveDevice (self)
| GetVPUlength (self)
| GetVPUsampling (self)
| GetFrameRateCount (self)
| GetReference (self, channel, index, count)
| GetSupportedFramerates (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x2E
int | DEVICE_NBR = 1
dict | frame_rate
dict | waveform_shape
dict | load
dict | dev_model
dict | vpu_length
dict | vpu_sampling
dict | active_channel
dict | supported_rates_count
dict | reference_0 = {'id': self.sys_id << 8, 'type': float}
dict | reference_1 = {'id': self.sys_id << 8 | 0x01, 'type': float}
dict | supported_framerates = {'id': self.sys_id << 8 | 0x02, 'type': float}
| name = self.__class__.__name__

## Protected Attributes
bool | _readonly = False

## Detailed Description

    Smart step manager is a system in charge of managing lens devices with has the smart step feature applicable.
    system ID: 0x2E

    Register Map:
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id             | Type         | Unit     | Range        | Default       | Comment            |
    +=====================+================+==============+==========+==============+===============+====================+
    | mngDeviceMsk        | 0x00           | uint  32-bit | n/a      | <0,15>       |               | read only          |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | mngFilterMsk        | 0x04-07        | uint  32-bit | n/a      | <0,15>       |               | read only          |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | tempSeriesIdx       | 0x08-0B        | uint  32-bit | n/a      | <0,10>       |               | read/write         |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | tempSeriesValue     | 0x0C-0F        | int   32-bit | 100thC   | <-4000,12000>|               | read only          |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+
    | seriesFilterIdx     | 0x10-13        | int   32-bit | n/a      | <0,3>        |               | read/write         |
    +---------------------+----------------+--------------+----------+--------------+---------------+--------------------+

    Vector Map:
    +-----------------------+-----------+-----------------------+-------------------------------------------+
    | Vector Name           | Id        | Type                  | Comment                                   |
    +=======================+===========+=======================+===========================================+
    | inCoeffDataVector     | 0x00-0x03 | float 32-bit          | input coeffs from selected temp series    |
    +-----------------------+-----------+-----------------------+-------------------------------------------+
    | outCoeffDataVector    | 0x04-0x07 | float 32-bit          | output coeffs from selected temp series   |
    +-----------------------+-----------+-----------------------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.XPRControl.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.XPRControl.help | ( |  | ) |
| static

## ◆ GetFrameRate()

optoICC.registers.icc_registers.XPRControl.GetFrameRate | ( |  | self | ) |

## ◆ SetFrameRate()

optoICC.registers.icc_registers.XPRControl.SetFrameRate | ( |  | self,
|  |  | value )

## ◆ GetWaveformShape()

optoICC.registers.icc_registers.XPRControl.GetWaveformShape | ( |  | self | ) |

## ◆ SetWaveformShape()

optoICC.registers.icc_registers.XPRControl.SetWaveformShape | ( |  | self,
|  |  | value )

## ◆ GetStatus()

optoICC.registers.icc_registers.XPRControl.GetStatus | ( |  | self | ) |

## ◆ SetLoad()

optoICC.registers.icc_registers.XPRControl.SetLoad | ( |  | self,
|  |  | value )

## ◆ SetActiveChannel()

optoICC.registers.icc_registers.XPRControl.SetActiveChannel | ( |  | self,
|  |  | value )

## ◆ GetActiveChannel()

optoICC.registers.icc_registers.XPRControl.GetActiveChannel | ( |  | self | ) |

## ◆ GetActiveDevice()

optoICC.registers.icc_registers.XPRControl.GetActiveDevice | ( |  | self | ) |

## ◆ GetVPUlength()

optoICC.registers.icc_registers.XPRControl.GetVPUlength | ( |  | self | ) |

## ◆ GetVPUsampling()

optoICC.registers.icc_registers.XPRControl.GetVPUsampling | ( |  | self | ) |

## ◆ GetFrameRateCount()

optoICC.registers.icc_registers.XPRControl.GetFrameRateCount | ( |  | self | ) |

## ◆ GetReference()

optoICC.registers.icc_registers.XPRControl.GetReference | ( |  | self,
|  |  | channel,
|  |  | index,
|  |  | count )

## ◆ GetSupportedFramerates()

optoICC.registers.icc_registers.XPRControl.GetSupportedFramerates | ( |  | self | ) |

## Member Data Documentation

## ◆ sys_id

int optoICC.registers.icc_registers.XPRControl.sys_id = 0x2E

## ◆ _readonly

bool optoICC.registers.icc_registers.XPRControl._readonly = False
| protected

## ◆ DEVICE_NBR

int optoICC.registers.icc_registers.XPRControl.DEVICE_NBR = 1

## ◆ frame_rate

dict optoICC.registers.icc_registers.XPRControl.frame_rate

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range':None,
'default': 50,
'value': 50}

## ◆ waveform_shape

dict optoICC.registers.icc_registers.XPRControl.waveform_shape

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': {0: 'Manhattan', 1: 'Diamond'},
'default': 0,
'value': 0}

## ◆ load

dict optoICC.registers.icc_registers.XPRControl.load

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': int,
'unit': None,
'range': {0: 'Idle', 1:'Run'},
'default': 0,
'value': 0}

## ◆ dev_model

dict optoICC.registers.icc_registers.XPRControl.dev_model

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ vpu_length

dict optoICC.registers.icc_registers.XPRControl.vpu_length

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ vpu_sampling

dict optoICC.registers.icc_registers.XPRControl.vpu_sampling

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ active_channel

dict optoICC.registers.icc_registers.XPRControl.active_channel

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ supported_rates_count

dict optoICC.registers.icc_registers.XPRControl.supported_rates_count

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ reference_0

dict optoICC.registers.icc_registers.XPRControl.reference_0 = {'id': self.sys_id << 8, 'type': float}

## ◆ reference_1

dict optoICC.registers.icc_registers.XPRControl.reference_1 = {'id': self.sys_id << 8 | 0x01, 'type': float}

## ◆ supported_framerates

dict optoICC.registers.icc_registers.XPRControl.supported_framerates = {'id': self.sys_id << 8 | 0x02, 'type': float}

## ◆ name

optoICC.registers.icc_registers.XPRControl.name = self.__class__.__name__